summaryrefslogtreecommitdiff
path: root/test/integration/targets/pull
diff options
context:
space:
mode:
authorBrian Coca <bcoca@users.noreply.github.com>2019-01-23 10:58:37 -0500
committerGitHub <noreply@github.com>2019-01-23 10:58:37 -0500
commitb6824669dfff157f3f72640f78f675ddfbf71ae5 (patch)
tree35dcc4b0c775b20a5deacf667fb0f9fefa5755c1 /test/integration/targets/pull
parent4049e33817bff106330571e3e0ff4228ce6d2128 (diff)
downloadansible-b6824669dfff157f3f72640f78f675ddfbf71ae5.tar.gz
Handle complex quoting in extra args in pull cli (#50212)
* Handle complex quoting in extra args in pull cli fixes #40729
Diffstat (limited to 'test/integration/targets/pull')
-rwxr-xr-xtest/integration/targets/pull/runme.sh45
1 files changed, 29 insertions, 16 deletions
diff --git a/test/integration/targets/pull/runme.sh b/test/integration/targets/pull/runme.sh
index 0ad9e01ba9..b53fb45b67 100755
--- a/test/integration/targets/pull/runme.sh
+++ b/test/integration/targets/pull/runme.sh
@@ -23,21 +23,34 @@ cd "${repo_dir}"
git commit -m "Initial commit."
)
+function pass_tests {
+ # test for https://github.com/ansible/ansible/issues/13688
+ if ! grep MAGICKEYWORD "${temp_log}"; then
+ echo "Missing MAGICKEYWORD in output."
+ exit 1
+ fi
+
+ # test for https://github.com/ansible/ansible/issues/13681
+ if egrep '127\.0\.0\.1.*ok' "${temp_log}"; then
+ echo "Found host 127.0.0.1 in output. Only localhost should be present."
+ exit 1
+ fi
+ # make sure one host was run
+ if ! egrep 'localhost.*ok' "${temp_log}"; then
+ echo "Did not find host localhost in output."
+ exit 1
+ fi
+}
+
ANSIBLE_CONFIG='' ansible-pull -d "${pull_dir}" -U "${repo_dir}" "$@" | tee "${temp_log}"
-# test for https://github.com/ansible/ansible/issues/13688
-if ! grep MAGICKEYWORD "${temp_log}"; then
- echo "Missing MAGICKEYWORD in output."
- exit 1
-fi
-
-# test for https://github.com/ansible/ansible/issues/13681
-if egrep '127\.0\.0\.1.*ok' "${temp_log}"; then
- echo "Found host 127.0.0.1 in output. Only localhost should be present."
- exit 1
-fi
-# make sure one host was run
-if ! egrep 'localhost.*ok' "${temp_log}"; then
- echo "Did not find host localhost in output."
- exit 1
-fi
+pass_tests
+
+# ensure complex extra vars work
+PASSWORD='test'
+USER=${USER:-'broken_docker'}
+JSON_EXTRA_ARGS='{"docker_registries_login": [{ "docker_password": "'"${PASSWORD}"'", "docker_username": "'"${USER}"'", "docker_registry_url":"repository-manager.company.com:5001"}], "docker_registries_logout": [{ "docker_password": "'"${PASSWORD}"'", "docker_username": "'"${USER}"'", "docker_registry_url":"repository-manager.company.com:5001"}] }'
+
+ANSIBLE_CONFIG='' ansible-pull -d "${pull_dir}" -U "${repo_dir}" -e "${JSON_EXTRA_ARGS}" "$@" | tee "${temp_log}"
+
+pass_tests